package com.example.moos.menu;

import android.content.Intent;
import android.media.MediaPlayer;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;

public class AnswerMenu3 extends AppCompatActivity {

    private Button button_y_eq_x;
    private Button button_y_eq_5;
    private Button button_y_eq_x_sqrd;
    private Button button_y_eq_1_over_x;

    int double_click_counter = 0;
    int highest_completed_level = 0;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_answer_menu);

        //hide the status bar:
        View decorView = getWindow().getDecorView();
        int uiOptions = View.SYSTEM_UI_FLAG_FULLSCREEN|View.SYSTEM_UI_FLAG_IMMERSIVE_STICKY;
        decorView.setSystemUiVisibility(uiOptions);

        final MediaPlayer y_is_gelijk_aan_1_gedeeld_door_x = MediaPlayer.create(this, R.raw.y_is_gelijk_aan_1_gedeeld_door_x);
        final MediaPlayer y_is_gelijk_aan_0 = MediaPlayer.create(this, R.raw.y_is_gelijk_aan_0);
        final MediaPlayer y_is_gelijk_aan_x = MediaPlayer.create(this, R.raw.y_is_gelijk_aan_x);
        final MediaPlayer y_is_gelijk_aan_x_kwadraat = MediaPlayer.create(this, R.raw.y_is_gelijk_aan_x_kwadraat);

        // Get the Intent that started this activity and extract the string
        Intent answer_menu_1 = getIntent();
        highest_completed_level = answer_menu_1.getIntExtra("key4", highest_completed_level);

        final MediaPlayer wrong_answer = MediaPlayer.create(this, R.raw.wrong_answer);
        final MediaPlayer correct_answer = MediaPlayer.create(this, R.raw.correct_answer);


        button_y_eq_x = (Button) findViewById(R.id.button_y_eq_x);
        button_y_eq_x.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                if (double_click_counter == 1) {
                    double_click_counter = 0;
                    wrong_answer.start();
                    openlevel3();
                } else {
                    y_is_gelijk_aan_x.start();
                    double_click_counter = 1;
                }

            }
        });

        button_y_eq_5 = (Button) findViewById(R.id.button_y_eq_5);
        button_y_eq_5.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                if (double_click_counter == 2) {
                    double_click_counter = 0;
                    wrong_answer.start();
                    openlevel3();
                } else {
                    y_is_gelijk_aan_0.start();
                    double_click_counter = 2;
                }

            }
        });

        button_y_eq_x_sqrd = (Button) findViewById(R.id.button_y_eq_x_sqrd);
        button_y_eq_x_sqrd.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                if (double_click_counter == 3) {
                    double_click_counter = 0;
                    correct_answer.start();
                    openMenu();
                } else {
                    y_is_gelijk_aan_x_kwadraat.start();
                    double_click_counter = 3;
                }

            }
        });
        button_y_eq_1_over_x = (Button) findViewById(R.id.button_y_eq_1_over_x);
        button_y_eq_1_over_x.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                if (double_click_counter == 4) {
                    double_click_counter = 0;
                    wrong_answer.start();
                    openlevel3();
                } else {
                    y_is_gelijk_aan_1_gedeeld_door_x.start();
                    double_click_counter = 4;
                }

            }
        });
    }

    public void openlevel3(){
        Intent open_level_3 = new Intent(this, MainLevel3.class);
        open_level_3.putExtra("key3",highest_completed_level);
        startActivity(open_level_3);
    }
    public void openMenu(){
        Intent open_menu = new Intent(this, Menu.class);
        if (highest_completed_level < 3) {
            open_menu.putExtra("key", 3);
        } else {
            open_menu.putExtra("key",highest_completed_level);
        }
        open_menu.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK | Intent.FLAG_ACTIVITY_CLEAR_TASK);
        startActivity(open_menu);
    }
}

