package com.example.moos.menu;

import android.content.Intent;
import android.graphics.Color;
import android.media.MediaPlayer;
import android.support.v4.content.ContextCompat;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;

public class Level_select extends AppCompatActivity {
    private Button button_level_1;
    private Button button_level_2;
    private Button button_level_3;
    private Button button_level_4;
    private Button button_level_5;
    private Button button_level_6;
    private Button button_level_7;
    private Button button_level_8;
    private Button button_level_9;
    private Button button_level_10;
    private Button button_level_11;
    private Button button_level_12;

    int double_click_level_select = 0;
    int highest_completed_level = 0;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_level_select);

        button_level_1 = (Button) findViewById(R.id.button_level_1);
        button_level_2 = (Button) findViewById(R.id.button_level_2);
        button_level_3 = (Button) findViewById(R.id.button_level_3);
        button_level_4 = (Button) findViewById(R.id.button_level_4);
        button_level_5 = (Button) findViewById(R.id.button_level_5);
        button_level_6 = (Button) findViewById(R.id.button_level_6);
        button_level_7 = (Button) findViewById(R.id.button_level_7);
        button_level_8 = (Button) findViewById(R.id.button_level_8);
        button_level_9 = (Button) findViewById(R.id.button_level_9);
        button_level_10 = (Button) findViewById(R.id.button_level_10);
        button_level_11 = (Button) findViewById(R.id.button_level_11);
        button_level_12 = (Button) findViewById(R.id.button_level_12);

        // Get the Intent that started this activity and extract the string
        Intent Level_select_intent = getIntent();
        highest_completed_level = Level_select_intent.getIntExtra("key2", highest_completed_level);

        if (highest_completed_level >= 1) {
            button_level_2.setTextColor(Color.argb(255, 00, 85, 255));
        }
        if (highest_completed_level >= 2) {
            button_level_3.setTextColor(Color.argb(255, 00, 85, 255));
        }
        if (highest_completed_level >= 3) {
            button_level_4.setTextColor(Color.argb(255, 00, 85, 255));
        }

        //hide the status bar:
        View decorView = getWindow().getDecorView();
        int uiOptions = View.SYSTEM_UI_FLAG_FULLSCREEN|View.SYSTEM_UI_FLAG_IMMERSIVE_STICKY;
        decorView.setSystemUiVisibility(uiOptions);

        final MediaPlayer second_click = MediaPlayer.create(this, R.raw.second_click);
        final MediaPlayer level_1 = MediaPlayer.create(this, R.raw.level_1);
        final MediaPlayer level_2 = MediaPlayer.create(this, R.raw.level_2);
        final MediaPlayer level_3 = MediaPlayer.create(this, R.raw.level_3);
        final MediaPlayer dit_level_is_niet_beschikbaar_in_de_demo = MediaPlayer.create(this, R.raw.dit_level_is_niet_beschikbaar_in_de_demo);
        final MediaPlayer dit_level_is_nog_niet_vrijgespeeld = MediaPlayer.create(this, R.raw.dit_level_is_nog_niet_vrijgespeeld);

        button_level_1.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                if (double_click_level_select == 1) {
                    if (1 <= highest_completed_level + 1) {
                        double_click_level_select = 0;
                        second_click.start();
                        openMainLevel();
                    } else {
                        dit_level_is_nog_niet_vrijgespeeld.start();
                        double_click_level_select = 0;
                    }
                } else {
                    level_1.start();
                    double_click_level_select = 1;
                }
            }
        });

        button_level_2.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                if (double_click_level_select == 2) {
                    if (2 <= highest_completed_level + 1) {
                        double_click_level_select = 0;
                        second_click.start();
                        openMainLevel2();
                    } else {
                        dit_level_is_nog_niet_vrijgespeeld.start();
                        double_click_level_select = 0;
                    }
                } else {
                    level_2.start();
                    double_click_level_select = 2;
                }
            }
        });

        button_level_3.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                if (double_click_level_select == 3) {
                    if (3 <= highest_completed_level + 1) {
                        double_click_level_select = 0;
                        second_click.start();
                        openMainLevel3();
                    } else {
                        dit_level_is_nog_niet_vrijgespeeld.start();
                        double_click_level_select = 0;
                    }
                } else {
                    level_3.start();
                    double_click_level_select = 3;
                }
            }
        });

        button_level_4.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                dit_level_is_niet_beschikbaar_in_de_demo.start();
            }
        });
        button_level_5.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                dit_level_is_niet_beschikbaar_in_de_demo.start();
            }
        });
        button_level_6.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                dit_level_is_niet_beschikbaar_in_de_demo.start();
            }
        });
        button_level_7.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                dit_level_is_niet_beschikbaar_in_de_demo.start();
            }
        });
        button_level_8.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                dit_level_is_niet_beschikbaar_in_de_demo.start();
            }
        });
        button_level_9.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                dit_level_is_niet_beschikbaar_in_de_demo.start();
            }
        });
        button_level_10.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                dit_level_is_niet_beschikbaar_in_de_demo.start();
            }
        });
        button_level_11.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                dit_level_is_niet_beschikbaar_in_de_demo.start();
            }
        });
        button_level_12.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                dit_level_is_niet_beschikbaar_in_de_demo.start();
            }
        });
    }
    public void openMainLevel() {
        Intent MainLevel_intent = new Intent(this, MainLevel.class);
        MainLevel_intent.putExtra("key3", highest_completed_level);
        startActivity(MainLevel_intent);
    }
    public void openMainLevel2() {
        Intent MainLevel2_intent = new Intent(this, MainLevel2.class);
        MainLevel2_intent.putExtra("key3", highest_completed_level);
        startActivity(MainLevel2_intent);
    }
    public void openMainLevel3() {
        Intent MainLevel3_intent = new Intent(this, MainLevel3.class);
        MainLevel3_intent.putExtra("key3", highest_completed_level);
        startActivity(MainLevel3_intent);
    }
}
