package com.example.moos.menu;

import android.content.Context;
import android.content.Intent;
import android.media.MediaPlayer;
import android.os.Vibrator;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.util.DisplayMetrics;
import android.view.MotionEvent;
import android.view.View;
import android.widget.Button;
import android.widget.RelativeLayout;

public class MainLevel3 extends AppCompatActivity {
    private RelativeLayout myLayout3 = null;
    private Button button_antwoord;
    public static int j = 0;
    float listhistory[] = new float [2];

    int double_click_moos = 0;
    int highest_completed_level = 0;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main_level3);

        // Get the Intent that started this activity and extract the string
        Intent open_level_3 = getIntent();
        highest_completed_level = open_level_3.getIntExtra("key3", highest_completed_level);

        //hide the status bar:
        View decorView = getWindow().getDecorView();
        int uiOptions = View.SYSTEM_UI_FLAG_FULLSCREEN|View.SYSTEM_UI_FLAG_IMMERSIVE_STICKY;
        decorView.setSystemUiVisibility(uiOptions);

        final MediaPlayer antwoorden = MediaPlayer.create(this, R.raw.antwoorden);

        // Get the Intent that started this activity and extract the string
        Intent MainLevel3_intent = getIntent();
        highest_completed_level = MainLevel3_intent.getIntExtra("key3", highest_completed_level);

        final MediaPlayer second_click = MediaPlayer.create(this, R.raw.second_click);

        button_antwoord = (Button) findViewById(R.id.button_antwoord);
        button_antwoord.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                if (double_click_moos==1) {
                    double_click_moos = 0;
                    second_click.start();
                    openAnswerMenu3();
                } else {
                    antwoorden.start();
                    double_click_moos++;
                }

            }
        });

        //graph tracing start
        myLayout3 = (RelativeLayout) findViewById(R.id.myLayout3);
        int j=0;

        myLayout3.setOnTouchListener(new View.OnTouchListener() {
            @Override
            public boolean onTouch(View v, MotionEvent event) {
                MainLevel3.j= (MainLevel3.j+1)%2;
                DisplayMetrics displayMetrics = new DisplayMetrics();
                getWindowManager().getDefaultDisplay().getMetrics(displayMetrics);
                int heightscreen = displayMetrics.heightPixels;
                int widthscreen = displayMetrics.widthPixels;

                //defining the function
                float listxfunction[] = new float[widthscreen];
                float listyfunction[] = new float[widthscreen];
                int i = 0;
                float factor=(float)(2*heightscreen/Math.pow(widthscreen,2));
                for (i = 0; i < widthscreen; i ++) {
                    listxfunction[i] = (i-widthscreen/2);
                    listyfunction[i] =(float)(factor*Math.pow((i-widthscreen/2),2));
                }

                //get the coordinates of the users finger
                float x = event.getX();
                float y = event.getY();
                int xrounded = Math.round(x)-widthscreen/2;
                int yrounded = -Math.round(y)+heightscreen/2;

                // check the movement of the finger and get a response
                if (event.getAction() == MotionEvent.ACTION_DOWN) {
                    listhistory[MainLevel3.j]=0;
                    String text = "(" + xrounded + ", " + yrounded + ")";
                } else {
                    if (event.getAction() == MotionEvent.ACTION_MOVE) {
                        //check if the finger of the user is within range of the graph
                        double smallestdistance = Math.sqrt(Math.pow(listxfunction[0]-xrounded,2)+Math.pow(listyfunction[0]-yrounded,2));
                        for (int k = 0; k <= widthscreen - 1; k++) {
                            if (Math.sqrt(Math.pow(listxfunction[k]-xrounded,2)+Math.pow(listyfunction[k]-yrounded,2))< smallestdistance) {
                                smallestdistance=Math.sqrt(Math.pow(listxfunction[k]-xrounded,2)+Math.pow(listyfunction[k]-yrounded,2));
                            }
                        }

                        float margin = (float) (0.03 * heightscreen);
                        if (smallestdistance < margin) {
                            listhistory[MainLevel3.j]=0;
                        } else {
                            listhistory[MainLevel3.j]=1;
                        }
                    } else {
                        listhistory[MainLevel3.j]=0;
                    }
                }

                //check history begin or terminate vibration
                Vibrator bzz = (Vibrator) getSystemService(Context.VIBRATOR_SERVICE);
                if(listhistory[MainLevel3.j]-listhistory[Math.abs(MainLevel3.j-1)]==1){
                    bzz.vibrate(5000);
                }
                if(listhistory[MainLevel3.j]-listhistory[Math.abs(MainLevel3.j-1)]==-1){
                    bzz.cancel();
                }
                return true;}}
        );
        //graph tracing end


    }
    public void openAnswerMenu3(){
        Intent answer_menu_3 = new Intent(this, AnswerMenu3.class);
        answer_menu_3.putExtra("key4", highest_completed_level);
        startActivity(answer_menu_3);
    }
}
